##### ssl::context::load_verify_file (1 of 2 overloads)

Load a certification authority file for performing verification.

    void load_verify_file(
        const std::string & filename);

This function is used to load one or more trusted certification authorities from a file.

###### Parameters

filename

  The name of a file containing certification authority certificates in PEM format.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_load_verify_locations`.